v1/absences/{id}/approveCopy Pagepost https://shyftplan.com/api/v1/absences/{id}/approveApprove an absence.Path Paramsidint32required≥ 1ID of the absence to approve.Body Paramsuser_emailstringrequiredThis is a testing sandbox. We advise against using credentials for production accounts here. E-mail address of the API user.authentication_tokenstringrequiredThis is a testing sandbox. We advise against using credentials for production accounts here. Authentication token - can be fetched by login action.company_idint32≥ 1ID of a shyftplan account.force_collisionbooleanDefaults to falseShould the absence be created in spite of conflicts with shifts or absences of the employee? More info This parameter has no effect when two settings in shyftplan are both disabled - these are: Company profile > Shift schedules > Absence Conflicts Company profile > Absences > Maximum number of absence days Otherwise, this parameter has the following effect: For a conflict with pre-existing absences: If both force_collision and force_collision_and_remove are set to false, the new absence will not be created. Instead, an error will be saved. If at least one of the force* parameters is set to true, the absence will be created. For a conflict with shift assignments: If both force_collision and force_collision_and_remove are set to false, the new absence will not be created. Instead, an error will be saved. The employee stays assigned to conflicting shifts. If force_collision_and_remove is true then the absence will be created and the employee unassigned from conflicting shifts. If force_collision_and_remove is false and "force_collision" is true then the absence is created, but the employee stays assigned to conflicting shifts. truefalseforce_collision_and_removebooleanDefaults to falseShould the absence be created in spite of conflicts with shifts or absences of the employee, and should the employee be unassigned from conflicting shifts? More info This parameter has no effect when two settings in shyftplan are both disabled - these are: Company profile > Shift schedules > Absence Conflicts Company profile > Absences > Maximum number of absence days Otherwise, this parameter has the following effect: For a conflict with pre-existing absences: If both force_collision and force_collision_and_remove are set to false, the new absence will not be created. Instead, an error will be saved. If at least one of the force* parameters is set to true, the absence will be created. For a conflict with shift assignments: If both force_collision and force_collision_and_remove are set to false, the new absence will not be created. Instead, an error will be saved. The employee stays assigned to conflicting shifts. If force_collision_and_remove is true then the absence will be created and the employee unassigned from conflicting shifts. If force_collision_and_remove is false and "force_collision" is true then the absence is created, but the employee stays assigned to conflicting shifts. truefalseResponse 201Absence approved.Updated 15 days ago